%global momorel 1

%define python_minver 2.4.4
%define zope_minver 2.10.5

%define zope_home      %{_libdir}/zope
%define software_home  %{zope_home}/lib/python
%define srcdir 10794569

Name:           plone
Version:        3.0.4
Release:        %{momorel}m%{?dist}
Summary:        User friendly and powerful open source Content Management System
License:        GPL
Group:          System Environment/Daemons
URL:            http://plone.org/
Source0:	https://launchpadlibrarian.net/%{srcdir}/Plone-%{version}.tar.gz
NoSource:	0

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Requires:       zope >= %{zope_minver}
Requires:       python >= %{python_minver}, python-imaging

%description
Plone is a user friendly and powerful content management system based on Zope.
It is easy to use, translated into over 30 languages and carefully follows
standards. It's under active development and easily extensible with add-on
products.

%prep
%setup -q -n Plone-%{version}
# Clean up sources
find . -type d -name CVS | xargs rm -rf
find . -type f -name .cvsignore | xargs rm -rf
find . -type d -name .svn | xargs rm -rf
find . -type f -name "*~" | xargs rm -rf


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{software_home}/Products
cp -pr * $RPM_BUILD_ROOT%{software_home}/Products

# Included in Zope 2.9
rm -rf $RPM_BUILD_ROOT%{software_home}/Products/Five

# Avoid conflicts, put those in %%doc
rm -f $RPM_BUILD_ROOT%{software_home}/Products/README.txt
rm -f $RPM_BUILD_ROOT%{software_home}/Products/INSTALL.txt
rm -f $RPM_BUILD_ROOT%{software_home}/Products/RELEASENOTES.txt


%clean
rm -rf $RPM_BUILD_ROOT


%post
# Make it available to Zope, be it on install or on upgrade
/sbin/service zope condrestart >/dev/null 2>&1


%files
%defattr(644,root,root,755)
%doc README.txt INSTALL.txt RELEASENOTES.txt
%{software_home}/Products/*


%changelog
* Sun Jan  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.4-1m)
- [SECURITY] CVE-2007-5741

* Sun Nov 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.3-1m)
- update to 3.0.3
- remove hotfix 20071106 as it's included in 3.0.3

* Sun Nov 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.5-2m)
- [SECURITY] CVE-2007-5741
- add plone hotfix 20071106

* Fri Jul 28 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.5-1m)
- import from fedora extra

* Mon Jul 10 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.5-1
- Version 2.5
- Drop Hotfix, included
- condrestart Zope on %%post

* Thu Apr 13 2006 Aurelien Bompard <gauret[AT]free.fr> 2.1.2-2
- apply Plone Hotfix 2006-04-10 to fix CVE-2006-1711
- restart Zope on upgrade (will migrate it to %%postun for the
  next release, but we need to make sure zope is restarted for
  this one (security)

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 2.1.2-1
- version 2.1.2

* Sat Oct 22 2005 Aurelien Bompard <gauret[AT]free.fr> 2.1.1-1
- version 2.1.1

* Thu Sep 08 2005 Aurelien Bompard <gauret[AT]free.fr> 2.1-1
- version 2.1 final

* Thu Aug 11 2005 Aurelien Bompard <gauret[AT]free.fr>
- rebuild

* Thu Aug 11 2005 Aurelien Bompard <gauret[AT]free.fr> 2.1-0.3.rc2
- update to rc2
- drop buildarch: noarch since _libdir depends on arch (on x86_64)
- put readmes in %%doc

* Mon Aug 01 2005 Aurelien Bompard <gauret[AT]free.fr> 2.1-0.2.rc1
- update to rc1

* Wed Jun 15 2005 Aurelien Bompard <gauret[AT]free.fr> 2.1-0.1.alpha2
- update to 2.1 alpha2 to work with python >= 2.4 and zope >= 2.8

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Feb 11 2005 Aurelien Bompard <gauret[AT]free.fr> 2.0.5-2
- apply Matthias' suggestions: cleanup %%description, drop Epoch, and
  use a better Group.

* Fri Feb 11 2005 Aurelien Bompard <gauret[AT]free.fr> 0:2.0.5-1
- initial Fedora Extras RPM
